
package com.tmerclub.cloud.api.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单结算表查询支付用VO
 *
 * @author tmerclub
 */
public class OrderSettlementPayVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "支付结算单据ID")
    private Long settlementId;

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "支付单号")
    private Long payId;

    @Schema(description = "支付单号")
    private String payIds;

    public String getPayIds() {
        return payIds;
    }

    public void setPayIds(String payIds) {
        this.payIds = payIds;
    }

    public Long getSettlementId() {
        return settlementId;
    }

    public void setSettlementId(Long settlementId) {
        this.settlementId = settlementId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }


    @Override
    public String toString() {
        return "OrderSettlementPayVO{" +
                "settlementId=" + settlementId +
                ", orderId=" + orderId +
                ", payId=" + payId +
                ", payIds='" + payIds + '\'' +
                '}';
    }
}
